[package]
name = "tavern"
version = "0.3.0"
edition = "2024"
description = "A blogging system that will allow you to write your blog in Markdown and then display it in HTML using Dioxus."
repository = "/CyberMages/tavern"
authors = ["CyberMages LLC <Software@CyberMagesLLC.com>", "Jason Travis Smith <Myrddin@CyberMages.tech>"]
readme = "README.md"
license = "Apache-2.0"



[dependencies]
chrono = { version = "0.4.41", features = ["serde"] }
pulldown-cmark = "0.13.0"
serde = { version = "1.0.219", features = ["derive"] }
sqlx = { version = "0.8.6", features = ["sqlite", "chrono", "runtime-tokio"], optional = true}
toml = "0.9.5"

[dev-dependencies]
tokio = { version = "1", features = ["rt-multi-thread", "macros"] }



[features]
default = []
database = ["sqlx"]
publisher = ["database"]
tester = ["publisher"]
